1.0

1.0

get /v1/temporarykey/{secret_vault_id}

Description

Get Temporary Key.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headerSvaccesskey
required
token id issued by Secret Vault
Example : 5dbd99e4-aad4-e822-9ab3-89b10cf7c9ef
stringNone
headerSvsignature
required
It generates a string to sign from the request, encrypts it with the HmacSHA256 algorithm with the Access Secret Key(token secret issued by Secret Vault), and encodes it into Base64.
Example : fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=
stringNone
headerSvtimestamp
required
defines the elapsed time from 00:00:00 Agreement World Time (UTC) on January 1, 1970, in milliseconds.
Example : 1605290625682
stringNone
headerSvclienttype
required
Client Type
Example : Openapi
stringNone
pathsecret_vault_id
required
Secret Vault Id
Example : 3265ab469f0d406d83073da3e11e7a6c
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSecretVaultTemporaryKeyResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/temporarykey/{secret_vault_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = secretvault 1.0"

Example HTTP response

Response 200

{
    "access_key": "testname",
    "expired_at": "2025-02-25 03:07:17.000",
    "secret_key": "testname"
}